ActionController::RoutingError for js files after upgrade to 1.14.2
Description

Hi,

I updated my foreman setup to 1.14.2 yesterday. I'm running it on CentOS 7 and use your yum repository:

~ # rpm -qa | grep foreman

tfm-rubygem-foreman_hooks-0.3.13-1.fm1_14.el7.noarch

tfm-rubygem-foreman_column_view-0.3.0-1.fm1_14.el7.noarch

foreman-release-scl-3-1.el7.noarch

tfm-rubygem-foreman-tasks-core-0.1.1-1.fm1_14.el7.noarch

foreman-selinux-1.14.2-1.el7.noarch

foreman-1.14.2-1.el7.noarch

tfm-rubygem-puppetdb_foreman-2.0.0-1.fm1_14.el7.noarch

tfm-rubygem-foreman-tasks-0.8.6-1.fm1_14.el7.noarch

foreman-postgresql-1.14.2-1.el7.noarch

foreman-debug-1.14.2-1.el7.noarch

foreman-proxy-1.14.2-1.el7.noarch

~ #

 The Web UI fails to load after the login due to some javascript files:

2017-03-11 11:30:01 3381f577 [app] [I] Started GET "/" for 10.20.5.22 at 2017-03-11 11:30:01 +0100

 

2017-03-11 11:30:01 3381f577 [app] [I] Processing by DashboardController#index as HTML 

2017-03-11 11:30:01 3381f577 [app] [I]   Rendered dashboard/index.html.erb within layouts/applicat

ion (12.8ms) 

2017-03-11 11:30:01 3381f577 [app] [I]   Rendered common/_searchbar.html.erb (6.0ms) 

2017-03-11 11:30:01 3381f577 [app] [I]   Rendered layouts/_application_content.html.erb (6.6ms) 

2017-03-11 11:30:01 3381f577 [app] [I]   Rendered home/_user_dropdown.html.erb (2.1ms) 

2017-03-11 11:30:01 3381f577 [app] [I] Read fragment views/tabs_and_title_records-3 (0.2ms) 

2017-03-11 11:30:01 3381f577 [app] [I]   Rendered home/_topbar.html.erb (5.6ms) 

2017-03-11 11:30:01 3381f577 [app] [I]   Rendered layouts/base.html.erb (7.6ms) 

2017-03-11 11:30:01 3381f577 [app] [I] Completed 200 OK in 35ms (Views: 25.7ms | ActiveRecord: 5.0

ms) 

2017-03-11 11:30:02 3381f577 [app] [I] Started GET "/webpack/bundle-9671b40e053a06666c68.css" for 

10.20.5.22 at 2017-03-11 11:30:02 +0100 

2017-03-11 11:30:02 3381f577 [app] [F]  

 | ActionController::RoutingError (No route matches [GET] "/webpack/bundle-9671b40e053a06666c68.cs

s"): 

 |   lib/middleware/tagged_logging.rb:18:in `call' 

 |  

 |  

2017-03-11 11:30:02 3381f577 [app] [I] Started GET "/webpack/bundle-9671b40e053a06666c68.js" for 1

0.20.5.22 at 2017-03-11 11:30:02 +0100 

2017-03-11 11:30:02 3381f577 [app] [I] Started GET "/assets/locale/en/app-81d6bd3bafc4ed26e48f8438

4696136aca5c15412aa832f192e307bb2828d632.js" for 10.20.5.22 at 2017-03-11 11:30:02 +0100 

2017-03-11 11:30:02 3381f577 [app] [F]  

 | ActionController::RoutingError (No route matches [GET] "/webpack/bundle-9671b40e053a06666c68.js

05/20/2024 1/2



"): 

 |   lib/middleware/tagged_logging.rb:18:in `call' 

 |  

 |  

2017-03-11 11:30:02 3381f577 [app] [F]  

 | ActionController::RoutingError (No route matches [GET] "/assets/locale/en/app-81d6bd3bafc4ed26e

48f84384696136aca5c15412aa832f192e307bb2828d632.js"): 

 |   lib/middleware/tagged_logging.rb:18:in `call' 

 |  

 |

 Let me know if you need any additional information.

History

#1 - 03/11/2017 06:36 AM - Tim Meusel

I tried a few rake tasks that sound promising:

foreman-rake assets:precompile

foreman-rake plugin::assets:precompile

foreman-rake webpack_try_compile

foreman-rake webpack:compile

 but they all didn't work out. Full logoutput is at https://gist.github.com/bastelfreak/b29b1261f1c04b8db2c62c2d45323049

#2 - 03/14/2017 04:12 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from New to Feedback

The filenames referenced appear to be from 1.14.1, so either the app is still running 1.14.1 (touch ~foreman/tmp/restart.txt or restart httpd) or your

browser is caching the expected filenames.

#3 - 03/14/2017 04:57 AM - Tim Meusel

- Status changed from Feedback to Resolved

Hi Dominic,

indeed it was some caching. I already restarted httpd but it had no effect. I did it a few times again for other reconfigurations and now the error is

gone.
